%global momorel 3

Summary: 	multi-channel settings management support for xfce
Name: 		xfconf
Version: 	4.6.1
Release:	%{momorel}m%{?dist}
License:	LGPL
URL: 		http://www.xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
NoSource:       0
Group: 		Development/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.7.2
BuildRequires:	pkgconfig
BuildRequires:	gtk-doc
BuildRequires:	imake
BuildRequires:	libXt-devel
BuildRequires:  dbus-glib-devel >= 0.72
Obsoletes: libxfce4mcs
Provides: libxfce4mcs

%description
This package includes multi-channel settings management support for Xfce.

%package devel
Summary:	developpment tools for xfconf library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libX11-devel
Requires:	glib-devel

Obsoletes: libxfce4mcs-devel
Provides: libxfce4mcs-devel

%description devel
This package includes the static libraries and header files you will need
to compile applications for Xfce.

%prep
%setup -q

%build
%configure --disable-static --with-perl-options=INSTALLDIRS="vendor"
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "perllocal.pod" |xargs rm -f
find %{buildroot} -name ".packlist" |xargs rm -f

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/dbus-1/services/*
%dir %{_datadir}/gtk-doc/html/xfconf
%{_datadir}/gtk-doc/html/xfconf/*
%{_datadir}/locale/*/*/*
%{_mandir}/man3/*.3*
%dir %{perl_vendorarch}/Xfce4/
%{perl_vendorarch}/Xfce4/*
%dir %{perl_vendorarch}/auto/Xfce4
%{perl_vendorarch}/auto/Xfce4/*
%{_libexecdir}/xfconfd

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/xfconf-0/xfconf/xfconf*

%changelog
* Wed Jun 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.6.1-3m)
- use vendor

* Fri Apr 24 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.6.1-2m)
- add BuildRequires:

* Mon Apr 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.6.1-1m)
- update

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.6.0-1m)
- update

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.5.93-2m)
- rebuild against rpm-4.6

* Tue Jan 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.93-1m)
- update
- add %%{_libexecdir}/xfconfd in %%files section


* Wed Nov 26 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.92-1m)
- update

* Wed Oct 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.91-1m)
- update

* Wed Oct 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.90-2m)
- add Provides

* Mon Sep 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.90-1m)
- initial Momonga package
